Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.mif
Class MIFElement

    java.lang.Object
      org.apache.fop.render.mif.MIFElement

Direct Known Subclasses:
  MIFFile, RefElement

public class MIFElement
extends java.lang.Object

The is the basis for MIF document elements. This enables the creation of the element and to write it to an output stream including sub-elements or a single value.

Field Summary
`protected boolean` | `finish`
`protected boolean` | `finished`
`protected java.lang.String` | `name`
`protected boolean` | `started`
`protected java.util.List` | `valueElements`
`protected java.lang.String` | `valueStr`

Constructor Summary
`MIFElement(java.lang.String n)`

Method Summary
`void` | `addElement(MIFElement el)`
`void` | `finish(boolean deep)`
`boolean` | `output(java.io.OutputStream os, int indent)` Output this element to an output stream.
`void` | `setValue(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### valueStr

    protected java.lang.String valueStr

### valueElements

    protected java.util.List valueElements

### started

    protected boolean started

### finish

    protected boolean finish

### finished

    protected boolean finished

Constructor Detail

### MIFElement

    public MIFElement(java.lang.String n)

Method Detail

### setValue

    public void setValue(java.lang.String str)

### addElement

    public void addElement(MIFElement el)

### output

    public boolean output(java.io.OutputStream os,
                          int indent)
                   throws java.io.IOException

  Output this element to an output stream. This will output only so far as the fisrt unfinished child element. This method can be called again to continue from the previous point. An element that contains child elements will only be finished when the finish method is called.

  Throws:
    `java.io.IOException`

### finish

    public void finish(boolean deep)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.